package physicalcategory_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/model/common"
)

type PhysicalcategoryGroupRequest struct {
	Company *common.CompanyRequest `json:"company,omitempty"`
}

func (obj PhysicalcategoryGroupRequest) GetUrl() string {
	return "/physicalcategory/group"
}

func (obj PhysicalcategoryGroupRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
